Subject: Re: so/diff-merges-more (was Re: What's cooking in git.git (Feb 2023, #01; Thu, 2))

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Mar 2023 15:08:55 -0800

Sergey Organov <[email-masked]> writes:

> My point is that the story with -c, or --cc is roughly the same, and
> that you yourself fixed --cc once upon a time to imply -p, so it's
> especially confusing for me that you are now in opposition to similar
> change to "-m".

I think we all saw a good explanation for that already in the
thread.

The mistake by "--cc" was fixed relatively quickly, but it is now
way too late to change the behaviour of "-m" without hurting
existing users.  I think I've wasted enough time on this in this
thread already, so let's stop comparing --cc and -m now.

Thanks.